Subject: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Matthias Meulien <[email-masked]>
Date: Mon, 17 Jan 2022 22:10:50 +0100

Matthias Meulien <[email-masked]> writes:

> (...)  What would be the next step? Should we stop here or introduce
> some customization in Diff mode to help people discover how the
> "outline default state feature" can be used there (not convinced
> myself it'd be usefull)?

I see one problem: Once one has some default state configured for Diff
mode, it applies to patch embedded in Gnus Article buffers, but there
the outline-minor-mode keymap isn't active and there's no way to toggle
headings visibility... No idea how to improve this situation...